Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class ContractAutopaymentMode.ContractAutopaymentModePeriodic

java.lang.Object
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode.ContractAutopaymentModePeriodic

Enclosing class:
  ContractAutopaymentMode

    public static class ContractAutopaymentMode.ContractAutopaymentModePeriodic
    extends ContractAutopaymentMode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

  `ContractAutopaymentMode.ContractAutopaymentModeAuto, ContractAutopaymentMode.ContractAutopaymentModePeriodic`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractAutopaymentModePeriodic()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getDay()` |
  `java.math.BigDecimal` | `getSum()` |
  `java.math.BigDecimal` | `getSumMax()` |
  `java.math.BigDecimal` | `getSumMin()` |
  `void` | `setDay​(int day)` |
  `void` | `setSum​(java.math.BigDecimal sumDefault)` |
  `void` | `setSumMax​(java.math.BigDecimal sumMax)` |
  `void` | `setSumMin​(java.math.BigDecimal sumMin)` |
  `void` | `toAutopayment​(Autopayment autopayment)` |
  `java.lang.String` | `toData()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

  `fromAutopayment, getContractAutopaymentMode, getMode, setMode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAutopaymentModePeriodic

    public ContractAutopaymentModePeriodic()

- ## Method Details

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sumDefault)

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay​(int day)

  - ### getSumMin

    public java.math.BigDecimal getSumMin()

  - ### setSumMin

    public void setSumMin​(java.math.BigDecimal sumMin)

  - ### getSumMax

    public java.math.BigDecimal getSumMax()

  - ### setSumMax

    public void setSumMax​(java.math.BigDecimal sumMax)

  - ### toData

    public java.lang.String toData()
    Overrides:
      `toData` in class `ContractAutopaymentMode`

  - ### toAutopayment

    public void toAutopayment​(Autopayment autopayment)
    Overrides:
      `toAutopayment` in class `ContractAutopaymentMode`